/*
 * What should we do during sync?
 */
Ext.define('POSync.model.Operation', {
    extend:     'Ext.data.Model',
    idProperty: 'id',
    fields: [
        'id',				// Not sure, seems to be needed...
        'op',				// 'upload', 'download', 'mkdir' or 'delete'
        'project_id',			// project
        'direction',			// 'remote' (upload to remote, mkdir on server) or 'local' (...)
        'file_id',			// Not sure if needed...
        'file_path',			// Path of file, separated by '/'
        'file_name',			// in case of file, empty for path
        'mime_type',			// Not sure if needed
        'file_sha1',			// SHA1 of source
        'local_file',			// reference to local file (if available)
        'remote_file',			// reference to remote file (if available)
        'comment',			// for debugging

	'status',			// {'created', 'done', 'error'}
	'err_msg'			// message in case of status='error'
    ]
});
