/*
 * DataStore for Sync operations
 */

/*
var operationsStoreStatusFilter = new Ext.util.Filter({
    filterFn: function(op) {
	var status = op.get('status');
	if (!status) return true;
        return (status === 'created' || status === 'error');
    }
});
*/

Ext.define('POSync.store.Operations', {        
    storeId:    'operations',
    extend:     'Ext.data.Store',
    
    requires:   'POSync.model.Operation',
    model:      'POSync.model.Operation',

    myFilter: (function(item) {
        var status = item.get('status');
        if (!status) return true;
        return (status === 'created' || status === 'error' || status === 'running');
    })

});

